## ocplib-endian 1.1

=== Makefile ===
.PHONY: all clean test doc

all:
	dune build

clean:
	dune clean

test:
	dune runtest --profile=release

doc:
	dune build @doc

## ocplib-endian 1.0

=== debian/changelog ===
ocplib-endian (1.0-1build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:33:36 +0000

ocplib-endian (1.0-1) unstable; urgency=medium

  * Initial release (Closes: #940039)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 12 Sep 2019 15:54:38 +0200

=== debian/control ===
Source: ocplib-endian
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 ocaml-nox,
 ocaml-findlib,
 ocamlbuild,
 cppo,
 dh-ocaml
Standards-Version: 4.4.0
Section: ocaml
Homepage: https://github.com/OCamlPro/ocplib-endian
Vcs-Git: https://salsa.debian.org/ocaml-team/ocplib-endian.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocplib-endian

Package: libocplib-endian-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: optimised functions to read and write int16/32/64 (development)
 Optimised functions to read and write int16/32/64 from strings, bytes
 and bigarrays, based on primitives added in version 4.01.
 .
 The library implements three modules:
  * EndianString works directly on strings, and provides submodules
    BigEndian and LittleEndian, with their unsafe counter-parts;
  * EndianBytes works directly on bytes, and provides submodules
    BigEndian and LittleEndian, with their unsafe counter-parts;
  * EndianBigstring works on bigstrings (Bigarrays of chars), and
    provides submodules BigEndian and LittleEndian, with their unsafe
    counter-parts.
 .
 This package contains the development files.

Package: libocplib-endian-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: optimised functions to read and write int16/32/64 (runtime)
 Optimised functions to read and write int16/32/64 from strings, bytes
 and bigarrays, based on primitives added in version 4.01.
 .
 The library implements three modules:
  * EndianString works directly on strings, and provides submodules
    BigEndian and LittleEndian, with their unsafe counter-parts;
  * EndianBytes works directly on bytes, and provides submodules
    BigEndian and LittleEndian, with their unsafe counter-parts;
  * EndianBigstring works on bigstrings (Bigarrays of chars), and
    provides submodules BigEndian and LittleEndian, with their unsafe
    counter-parts.
 .
 This package contains the runtime files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp
export OCAMLFIND_DESTDIR=$(DESTDIR)$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml --no-parallel

override_dh_auto_configure:
	ocaml setup.ml -configure

override_dh_auto_build:
	ocaml setup.ml -build

override_dh_auto_install:
	mkdir -p $(OCAMLFIND_DESTDIR)
	ocaml setup.ml -install

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=3
https://github.com/OCamlPro/ocplib-endian/releases .*/archive/(.*)\.tar\.gz

## ocplib-endian 1.1

=== debian/changelog ===
ocplib-endian (1.1-2) unstable; urgency=medium

  * Run tests only on native architectures

 -- Stéphane Glondu <glondu@debian.org>  Fri, 07 Aug 2020 12:55:52 +0200

ocplib-endian (1.1-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Thu, 06 Aug 2020 14:48:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: ocplib-endian
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  ocaml-nox,
- ocaml-findlib,
- ocamlbuild,
+ ocaml-dune,
  cppo,
  dh-ocaml
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://github.com/OCamlPro/ocplib-endian
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocplib-endian.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p ocplib-endian

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	rm -f $(DESTDIR)/usr/doc/ocplib-endian/COPYING.txt

override_dh_auto_test:
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	dh_auto_test
endif

override_dh_dwz:

## ocplib-endian 1.2

=== debian/changelog ===
ocplib-endian (1.2-4build3) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jun 2025 21:18:26 +0200

ocplib-endian (1.2-4build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 14:00:44 +0100

ocplib-endian (1.2-4build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:27:54 +0200

ocplib-endian (1.2-4) unstable; urgency=medium

  * Add libfindlib-ocaml to Build-Depends (for bytes package)
  * libocplib-endian-ocaml Depends on libfindlib-ocaml (for bytes
    package)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jun 2024 08:07:41 +0200

ocplib-endian (1.2-3) unstable; urgency=medium

  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Wed, 13 Sep 2023 06:19:21 +0200

ocplib-endian (1.2-2) unstable; urgency=medium

  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2023 13:52:12 +0200

ocplib-endian (1.2-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Update debian/watch

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 04 Dec 2021 17:43:19 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  ocaml-dune,
  cppo,
- dh-ocaml
-Standards-Version: 4.5.0
+ libfindlib-ocaml,
+ dh-ocaml (>= 1.2)
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://github.com/OCamlPro/ocplib-endian
@@ -42,6 +43,7 @@
 Package: libocplib-endian-ocaml
 Architecture: any
 Depends:
+ libfindlib-ocaml,
  ${ocaml:Depends},
  ${shlibs:Depends},
  ${misc:Depends}

=== debian/watch ===
version=4
https://github.com/OCamlPro/ocplib-endian/tags .*/([0-9.]+)\.tar\.gz
